Bug 866995 - server version is "Unknown" when registered to a katello/cfse/sam server
server version is "Unknown" when registered to a katello/cfse/sam server
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3
Assigned To: Bryan Kearney
Og Maciel
:
: 872333 (view as bug list)
Depends On:
Blocks: sam12-tracker 867563 872333
  Show dependency treegraph
 
Reported: 2012-10-16 09:56 EDT by John Sefler
Modified: 2013-02-21 14:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 867563 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:18:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-10-16 09:56:23 EDT
Description of problem:
Please correct the product/component for this bug because I'm sure I got it wrong.

When a system is registered to a katello/cfse/sam server using subscription-manager, "subscription-manager version" will report the local rpm versions and the server version/type.  The server version is being reported as "Unknown".  I suspect that there is a katello api that is either blocked or not implemented to satisfy this function.


Version-Release number of selected component (if applicable):
CloudForms System Engine Version: 1.1.12-14.el6cf 
subscription-manager: 1.0.22-1.el5
python-rhsm: 1.0.10-1.el5


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel59 ~]# subscription-manager register --username admin --serverurl=se-rhelbox.usersys.redhat.com/cfse/api --org Test_Org_1349760599 --env Dev --autosubscribe
Password: 
The system has been registered with id: 028ca17c-7469-4d43-a281-d2934281d3ba 
Installed Product Current Status:
Product Name:         	Red Hat Enterprise Linux Server
Status:               	Subscribed

[root@jsefler-rhel59 ~]# subscription-manager version
registered to: Unknown
server type: subscription management service
subscription-manager: 1.0.22-1.el5
python-rhsm: 1.0.10-1.el5



Actual results:
above; see the "registered to: Unknown"; expected something like: "1.1.12-14.el6cf"


Additional info:
Comment 1 Bryan Kearney 2012-10-17 13:38:50 EDT
This is solely on the katello side.
Comment 2 Bryan Kearney 2012-10-19 15:25:07 EDT
Fixed in master at 2f643b81c784ca878e11c64b5cc8333027742793
Comment 3 Lukas Zapletal 2012-10-25 06:06:01 EDT
+  skip_before_filter :require_user

^ this broke katello "ping" controller, fixing:

https://github.com/Katello/katello/pull/919
Comment 4 Lukas Zapletal 2012-10-25 06:07:31 EDT
Also we put community bugs to MODIFIED state.

https://engineering.redhat.com/trac/systemengine/wiki/BugzillaProcess#StateFlowForCommunityBugs

But I have been thinking about using ON_DEV because if we decide to give it ack, it seems to be more proper state than MODIFIED.
Comment 5 Tom McKay 2012-10-25 08:49:54 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 52621d6a7109db428c37277b6923466a7b4fd415
      https://github.com/Katello/katello/commit/52621d6a7109db428c37277b6923466a7b4fd415
  Author: Lukas Zapletal <lzap+git@redhat.com>
  Date:   2012-10-25 (Thu, 25 Oct 2012)
Comment 6 Og Maciel 2012-11-01 16:23:40 EDT
*** Bug 872333 has been marked as a duplicate of this bug. ***
Comment 7 Og Maciel 2012-11-03 11:35:57 EDT
[root@qeclient02 ~]# subscription-manager version


Usage: subscription-manager MODULE-NAME [MODULE-OPTIONS] [--help]


Primary Modules:

	list           List subscription and product information for this machine
	refresh        Pull the latest subscription data from the server
	register       register the client to RHN
	release        Configure what os release to use
	subscribe      Subscribe the registered machine to a specified product
	unregister     unregister the client from RHN
	unsubscribe    Unsubscribe the machine from all or specific subscriptions

Other Modules (Please consult documentation):

	clean          Remove all local consumer and subscription data without affecting the server
	config         List, set, or remove the configuration parameters in use by this machine.
	environments   Display the environments available for a user
	facts          Work with the current facts for this machine
	identity       Display the identity certificate for this machine or request a new one
	import         Import certificates which were provided outside of the tool
	orgs           Display the orgs against which a user can register a system
	redeem         Attempt to redeem a subscription for a preconfigured machine
	repos          List the repos which this machine is entitled to use
	service-level  Manage service levels for this system.


This client has subscription-manager-0.99.19.4-1.el6_3.x86_64 but it does not have a *version* parameter. What am I missing?
Comment 9 Tazim Kolhar 2012-11-20 00:57:46 EST
VERIFIED :

# rpm -qa | grep katello
katello-configure-1.2.3-1h.el6_3.noarch
katello-headpin-all-1.2.6-1h.el6_3.noarch
katello-glue-candlepin-1.2.6-1h.el6_3.noarch
katello-cli-1.2.4-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
katello-cli-common-1.2.4-1h.el6_3.noarch
katello-headpin-1.2.6-1h.el6_3.noarch
katello-common-1.2.6-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch


# subscription-manager register --username admin --password admin --org ACME_Corporation --environment DEV --autosubscribe --force
The system has been registered with id: ff93b357-dddd-4a21-ab80-c55a082fa6b9 
Installed Product Current Status:
Product Name:         	Red Hat Enterprise Linux Server
Status:               	Subscribed


# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 1.2.6-1h.el6_3-Headpin
subscription-manager: 1.1.4-1.el6
python-rhsm: 1.1.4-1.el6
Comment 11 errata-xmlrpc 2013-02-21 14:18:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.